Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testbeans
Class BeanInfoSupport

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.apache.jmeter.testbeans.BeanInfoSupport

All Implemented Interfaces:
  BeanInfo

Direct Known Subclasses:
  AccessLogSamplerBeanInfo, BeanShellBeanInfoSupport, BSFBeanInfoSupport, ConstantThroughputTimerBeanInfo, CSVDataSetBeanInfo, DataSourceElementBeanInfo, DebugPostProcessorBeanInfo, DebugSamplerBeanInfo, Example2BeanInfo, JDBCSamplerBeanInfo, RandomVariableConfigBeanInfo, SyncTimerBeanInfo

public abstract class BeanInfoSupport
extends SimpleBeanInfo

Support class for test bean beanInfo objects. It will help using the introspector to get most of the information, to then modify it at will.

To use, subclass it, create a subclass with a parameter-less constructor that:

1. Calls super(beanClass)
2. Modifies the property descriptors, bean descriptor, etc. at will.

Even before any such modifications, a resource bundle named xxxResources (where xxx is the fully qualified bean class name) will be obtained if available and used to localize the following:

- Bean's display name -- from property displayName.
- Properties' display names -- from properties propertyName.displayName.
- Properties' short descriptions -- from properties propertyName.shortDescription.

The resource bundle will be stored as the bean descriptor's "resourceBundle" attribute, so that it can be used for further localization. TestBeanGUI, for example, uses it to obtain the group's display names from properties groupName.displayName.

Version:
  $Revision: 674365 $

Field Summary
`static String` | `DEFAULT`
`static String` | `NOT_EXPRESSION`
`static String` | `NOT_OTHER`
`static String` | `NOT_UNDEFINED`
`static String` | `RESOURCE_BUNDLE`
`static String` | `TAGS`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`protected` | `BeanInfoSupport(Class beanClass)` Construct a BeanInfo for the given class.

Method Summary
`protected void` | `createPropertyGroup(String group, String[] names)` Utility method to group and order properties.
`BeanInfo[]` | `getAdditionalBeanInfo()`
`BeanDescriptor` | `getBeanDescriptor()`
`int` | `getDefaultEventIndex()`
`int` | `getDefaultPropertyIndex()`
`EventSetDescriptor[]` | `getEventSetDescriptors()`
`Image` | `getIcon(int iconKind)`
`MethodDescriptor[]` | `getMethodDescriptors()`
`PropertyDescriptor[]` | `getPropertyDescriptors()`
`protected PropertyDescriptor` | `property(String name)` Get the property descriptor for the property of the given name.
`protected void` | `setIcon(String resourceName)` Set the bean's 16x16 colour icon.

Methods inherited from class java.beans.SimpleBeanInfo
`loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAGS

    public static final String TAGS

See Also:
  Constant Field Values

### NOT_UNDEFINED

    public static final String NOT_UNDEFINED

See Also:
  Constant Field Values

### NOT_EXPRESSION

    public static final String NOT_EXPRESSION

See Also:
  Constant Field Values

### NOT_OTHER

    public static final String NOT_OTHER

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### RESOURCE_BUNDLE

    public static final String RESOURCE_BUNDLE

See Also:
  Constant Field Values

Constructor Detail

### BeanInfoSupport

    protected BeanInfoSupport(Class beanClass)

  Construct a BeanInfo for the given class.

Method Detail

### property

    protected PropertyDescriptor property(String name)

  Get the property descriptor for the property of the given name.

  Parameters:
    `name` - property name
  Returns:
    descriptor for a property of that name, or null if there's none

### setIcon

    protected void setIcon(String resourceName)

  Set the bean's 16x16 colour icon.

  Parameters:
    `resourceName` - A pathname relative to the directory holding the class file of the current class.

### createPropertyGroup

    protected void createPropertyGroup(String group,
                                       String[] names)

  Utility method to group and order properties.

  It will assing the given group name to each of the named properties, and set their order attribute so that they are shown in the given order.

  The created groups will get order 1, 2, 3,... in the order in which they are created.

  Parameters:
    `group` - name of the group
    `names` - property names in the desired order

### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

### getDefaultEventIndex

    public int getDefaultEventIndex()

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

### getIcon

    public Image getIcon(int iconKind)

### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.